package cn.com.qmth.examcloud.reports.commons.bean;

import cn.com.qmth.examcloud.reports.commons.enums.Tag;
import cn.com.qmth.examcloud.reports.commons.util.ReportsUtil;

public class OnlineUserReport extends BaseReport {

    private Long rootOrgId;

    private Long userId;

    public OnlineUserReport() {
        super();
    }

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public OnlineUserReport(Long rootOrgId, Long userId) {
        super();
        this.rootOrgId = rootOrgId;
        this.userId = userId;
        this.topic = ReportsUtil.curTopic(Tag.ONLINE_USER);
        this.tag = Tag.ONLINE_USER.name();
    }

}
