package cn.com.qmth.examcloud.reports.commons.bean;

import cn.com.qmth.examcloud.api.commons.security.bean.UserType;
import cn.com.qmth.examcloud.reports.commons.enums.Tag;
import cn.com.qmth.examcloud.reports.commons.util.ReportsUtil;

public class OperateReport extends BaseReport {

    private Long operateUserId;

    private Long examStudentId;

    private Long studentId;

    private UserType operateUserType;

    private String operate;

    private Long rootOrgId;


    public OperateReport(Long rootOrgId, Long operateUserId, Long studentId, Long examStudentId, UserType operateClient, String operate) {
        super();
        this.rootOrgId = rootOrgId;
        this.operateUserId = operateUserId;
        this.studentId = studentId;
        this.examStudentId = examStudentId;
        this.operateUserType = operateClient;
        this.operate = operate;
        this.topic = ReportsUtil.curTopic(Tag.OPERATE_INFO);
        this.tag = Tag.OPERATE_INFO.name();
    }

    public OperateReport() {
        super();
    }

    public Long getOperateUserId() {
        return operateUserId;
    }


    public void setOperateUserId(Long operateUserId) {
        this.operateUserId = operateUserId;
    }


    public Long getStudentId() {
        return studentId;
    }


    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }


    public UserType getOperateUserType() {
        return operateUserType;
    }


    public void setOperateUserType(UserType operateUserType) {
        this.operateUserType = operateUserType;
    }


    public String getOperate() {
        return operate;
    }


    public void setOperate(String operate) {
        this.operate = operate;
    }


    public Long getRootOrgId() {
        return rootOrgId;
    }


    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }


    public Long getExamStudentId() {
        return examStudentId;
    }


    public void setExamStudentId(Long examStudentId) {
        this.examStudentId = examStudentId;
    }


}
